Bug 51615 - (Nvidia Geforce2) VC switch away from X doesn't restore console
(Nvidia Geforce2) VC switch away from X doesn't restore console
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-12 22:38 EDT by Warren Togami
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-24 16:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86.0.log (22.49 KB, text/plain)
2001-08-12 22:42 EDT, Warren Togami
no flags Details
XF86Config-4 (3.70 KB, text/plain)
2001-08-12 22:43 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2001-08-12 22:38:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Whenever the X server is restarting, either after a CTRL-ALT-Backspace or 
normal logout and subsequent X restart, if you attempt to switch to a 
virtual terminal with CTRL-ALT-F[1-6] during this time, X appears to load 
and display properly.  It does not respond to keyboard input.
Vanilla Roswell did not respond to mouse input either, but after the 
latest up2date upgrades the mouse responds and controls the X session.

What has actually happens here is that the virtual terminal switched to a 
tty, say tty1 with CTRL-ALT-F1, but the X server still insists on 
controlling the screen and it remains in graphics mode.  One may think "Oh 
great, KDM froze." then attempt CTRL-ALT-Backspace, but because your 
keyboard is controlling tty1 nothing appears to happen.  The only way out 
is to switch back to the real X terminal with ALT-F7, or CTRL-ALT-DEL.

How reproducible:

Steps to Reproduce:
1. Restart X server with either CTRL-ALT-Backspace, log out, or any other 
2. Immediately hit CTRL-ALT-F[1-6].
3. Wait until X loads.  Attempt to type anything.

Actual Results:  Rather than switching to tty1, the X server takes control 
of the screen but keyboard control is on tty1.  The user would attempt to 
type in X, but nothing appears to happen.

Expected Results:
1) (Preferably) Switch to tty1 and the X server loads quietly in the 
2) (The way it appeared to behave in earlier versions of Red Hat) Jump 
completely to X session.

Additional info:

Micron Millenia Max 440BX2   
533MHz Pentium3 Katmai
512MB PC133 2-2-2 Crucial
OEM Geforce2 MX 32MB SDRAM AGP video

uname -a
Linux localhost.localdomain 2.4.7-0.8 #1 Sun Aug 5 14:46:24 EDT 2001 i686 

lspci -n
00:00.0 Class 0600: 1106:0691 (rev 82)
00:01.0 Class 0604: 1106:8598
00:07.0 Class 0601: 1106:0596 (rev 12)
00:07.1 Class 0101: 1106:0571 (rev 06)
00:07.2 Class 0c03: 1106:3038 (rev 08)
00:07.3 Class 0600: 1106:3051 (rev 20)
00:0e.0 Class 0401: 1274:1371 (rev 08)
00:10.0 Class 0200: 100b:0020
00:11.0 Class 0200: 1317:0985 (rev 11)
00:12.0 Class 0c00: 104c:8019
01:00.0 Class 0300: 10de:0110 (rev a1)
Comment 1 Warren Togami 2001-08-12 22:42:05 EDT
Created attachment 27473 [details]
Comment 2 Warren Togami 2001-08-12 22:43:11 EDT
Created attachment 27474 [details]
Comment 3 Warren Togami 2001-08-13 00:11:22 EDT
Related to Bug 50930 "Keyboard doesn't work in Failsafe mode"
Comment 4 Glen Foster 2001-08-13 15:07:28 EDT
We (Red Hat) should really try to fix this before next release.
Comment 5 Warren Togami 2001-08-14 04:58:02 EDT
This note is with regards to the change of summary name to "(Geforce2 MX) VC 
switch while server starts, crashes X".

I am quite sure that this is not an X crash, because if you hit ALT-F7 it will 
flicker and go back to X, with everything working like it should.  Before 
switching back to the X terminal, you are in a text virtual terminal, but the X 
server is still displaying the framebuffer and controlling the mouse.
Comment 6 Michael Schwendt 2001-08-24 08:02:52 EDT
FWIW, I'm able to reproduce this on Seawolf with Roswell's kernel 2.4.7-2 and
XFree86 4.0.3-5. I get either what is described here,


or I'm back in X (e.g. at the kdm prompt) and cannot type in anything.
Additionally, the Red Hat kdm logo disappears quite often.

Fortunately, restarting the X server via mouse click on kdm's button restores
the keyboard.
Comment 7 Warren Togami 2001-08-24 08:17:06 EDT
mschwendt@web.de what video controller do you have?

Please note that ALT-F7 should also bring you back into X when this bug occurs, 
with keyboard and mouse fully working.  Is this the case?
Comment 8 Michael Schwendt 2001-08-24 08:48:05 EDT
Yes, ALT+F4 at my end due to only three virtual consoles I have configured.

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 04)
(prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc. Millennium G400 16Mb SGRAM
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at dc000000 (32-bit, prefetchable) [size=32M]
        Memory at dfefc000 (32-bit, non-prefetchable) [size=16K]
        Memory at df000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at dfee0000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [f0] AGP version 2.0
Comment 9 Need Real Name 2001-08-24 09:14:29 EDT
I think I see the same.  When X11 starts, I often press C-A-F1 to login on the 
console.  The end result is that the display is in graphics mode, but mouse 
and keyboard is grabbed by tty1.  When I press enter the graphics mode is 
distorted by a newline (it looks weird).  Changing back to Alt-F7 works fine 
(but the RedHat Logo usually disappear when this happens).

This is on a Dell Latitude LSt laptop, with the NeoMagic MagicMedia card:

  Bus  1, device   0, function  0:
    VGA compatible controller: Neomagic Corporation [MagicMedia 256AV] (rev 
      IRQ 10.
      Master Capable.  Latency=128.  Min Gnt=16.Max Lat=255.
      Prefetchable 32 bit memory at 0xf6000000 [0xf6ffffff].
      Non-prefetchable 32 bit memory at 0xfe400000 [0xfe7fffff].
      Non-prefetchable 32 bit memory at 0xfeb00000 [0xfebfffff].
Comment 10 Need Real Name 2001-08-24 09:17:44 EDT
I forgot: I'm using RedHat Linux 7.1, fully updated.  Not rosweel.
Comment 11 Mike A. Harris 2001-08-28 13:24:43 EDT
This bug was reported against Geforce2.  Each video driver is responsible
for saving and restoring the hardware specific registers, therefore,
this bug report is specific to this hardware.  If other hardware has
the same bug, then they should be reported in other bug reports per
hardware since any fixes are not going to fix more than one hardware

In the case of the Nvidia card.  I do not have hardware nor video
specifications to debug or troubleshoot this.  If you are using the
supplied "nv" driver, please report this bug upstream to the XFree86
team by sending a detailed bug report via email to: xfree86@xfree86.org

If you are using the Nvidia binary only drivers supplied elsewhere by
Nvidia, please contact Nvidia technical support.
Comment 12 Michael Schwendt 2001-08-29 08:58:59 EDT
I'm afraid, I cannot submit my comments on this one as a separate bug (for
MGA400) because my configuration is considered unsupported most likely. It is a
fully updated Seawolf with Roswell's 2.4.7-2 kernel (2.4.7-2.9 since yesterday)
and a couple of irrelevant package upgrades to get ext3 fs. Any important role
the kernel version plays here?

If appreciated, I could go back to 2.4.3-12 kernel, try to reproduce what has
been covered here (especially the lost keyboard), and only then submit a
separate bug. For Seawolf, though, not Roswell.

Note You need to log in before you can comment on or make changes to this bug.